<template>
    <div>

        <h2>Users</h2>
        <div class="apiView2">
            <table class="apiView">
                <tr class="tableTitle"> 
                    <th>Name</th>
                    <th>Username</th>
                    <th>Email</th>
                </tr>
                <tr v-for="post in posts" :key="post.id">
                    <td>{{post.name}}</td>
                    <td>{{post.username}}</td>
                    <td>{{post.email}}</td>
                </tr>
            </table>
        </div>

    </div>
</template>

<script>
export default {

    data() {
        return {
            posts: [],
        };
    },

    async created(){
        let url ='https://jsonplaceholder.typicode.com/users';
        const response = await fetch(url);
        if(response.ok){
            const postsData = await response.json();
            this.posts = postsData;
        } else{
            alert('HTTP ERROR' + response.status)
        }

    }
}
</script>

<style>

</style>